package com.bytedance.hybrid.pia.bridge.protocol;

import com.bytedance.covode.number.Covode;

public interface Callback {
    static {
        Covode.recordClassIndex(27662);
    }

    void invoke(Status status, String str);

    public enum Status {
        Success(1),
        Failed(0),
        Unauthorized(-1),
        Unregistered(-2),
        InvalidParams(-3),
        InvalidResult(-4),
        InvalidVersion(-5);
        
        public final int value;

        public final int getValue() {
            return this.value;
        }

        /* access modifiers changed from: public */
        Status(int i) {
            this.value = i;
        }
    }
}
